mkatfs(1)

NAME
mkatfs - create and configure AtFS object repository and derived object cache

SYNOPSIS
mkatfs [-cAmax_cached_per_cacheattr] [-cNmax_cached_per_name] [-cTmax_total_cached] [-cQ] [-ggroup] [-h] [-lpath] [-mmode] [-v] pathnames

DESCRIPTION
mkatfs may be used to create an AtFS object repository, to link an existing repository, to configure a repository, or to set the size attributes of an derived object cache. It applies to all directories occurring in the pathnames list. If the list is empty, mkatfs performs its action in the current directory.

Creating an AtFS object repository makes a directory named AtFS with several files and subdirectories in it.

The -l option causes mkatfs to link an existing AtFS repository to the current directory (or the directories in the pathnames list). The -l option expects a pathname to a directory containing an AtFS repository or a link to an AtFS repository (links may be chained) as argument. When linking a repository, mkatfs either creates a symbolic link or, if symbolic links are not available on your system, a file containing the name of the target directory. The latter will be interpreted by AtFS like a symbolic link.

Configuring an AtFS repository means, that the group and the protection may be changed. These operations perform a chgrp(1) and a chmod(1) operation on the AtFS directory and all its subdirectories.

The -cT, -cN, and -cA options set the size of the derived object cache in the created AtFS object repository. You may set the maximum total number (cT) of derived files to be stored, the maximum number of derived files per name (cN) and the maximum number of derived files with the same name and the same caching attribute (cA). The relationship of the three values must always be cT >= cN >= cA. For more information on that topic check the cacheadm(1) manual page. The -cQ option queries the actual settings for the derived object cache size.

OPTIONS

-cA max_cached_per_cacheattr
    Set the maximum number of derived files with the same name and the same caching attribute to be stored. Default is 1.

-cN max_cached_per_name
    Set the maximum number of derived files with the same name to be stored. Default is 3.

-cT max_total_cached
    Set the total maximum number of derived files to be stored in the derived object cache. Default is 64. -g group Set the group id of the generated directory to group (see chgrp(1)). -h Display help message.

-l path
    Create an AtFS directory entry by setting a symbolic link to an existing AtFS object repository, rather than creating a new (empty) one. On System V machines, a file containing the target directory name will be generated. The AtFS functions will interpret this as surrogate for a symbolic link.

-m mode
    Set the mode of all generated directories to mode (see chmod(1)).

-v  Output version identification string.

SEE ALSO
chgrp(1), chmod(1), atfsrepair(1), af_cache(3)

AUTHOR
Andreas.Lampen@cs.tu-berlin.de